Crypto-4.2.4: Collects together existing Haskell cryptographic functions into a package

Portability | portable
Stability | experimental
Maintainer | john@repetae.net (http://repetae.net/)

Codec.Encryption.TEA

Description

Implementation of the TEA tiny encryption algorithm

# Documentation

data TEAKey

Constructors

TEAKey !Word32 !Word32 !Word32 !Word32 |

encrypt :: TEAKey -> Word64 -> Word64

decrypt :: TEAKey -> Word64 -> Word64